pw_pipewire Class Reference

PipeWire initalization and infrasctructure functions. More...

## Public Member Functions

SPA_EXPORT void | pw_init (int *argc, char **argv[])
| Initialize PipeWire. More...
SPA_EXPORT bool | pw_debug_is_category_enabled (const char *name)
| Check if a debug category is enabled. More...
SPA_EXPORT const char * | pw_get_application_name (void)
| Get the application name. More...
SPA_EXPORT const char * | pw_get_prgname (void)
| Get the program name. More...
SPA_EXPORT const char * | pw_get_user_name (void)
| Get the user name. More...
SPA_EXPORT const char * | pw_get_host_name (void)
| Get the host name. More...
SPA_EXPORT char * | pw_get_client_name (void)
| Get the client name. More...
SPA_EXPORT void | pw_fill_remote_properties (struct pw_core *core, struct pw_properties *properties)
| Fill remote properties. More...
SPA_EXPORT void | pw_fill_stream_properties (struct pw_core *core, struct pw_properties *properties)
| Fill stream properties. More...
enum pw_direction | pw_direction_reverse (enum pw_direction direction)
| Reverse the direction. More...

## Detailed Description

PipeWire initalization and infrasctructure functions.

## Member Function Documentation

## pw_debug_is_category_enabled()

SPA_EXPORT bool pw_debug_is_category_enabled | ( | const char * | name | ) |

Check if a debug category is enabled.

Parameters

  name | the name of the category to check

Returns
  true if enabled

Debugging categories can be enabled by using the PIPEWIRE_DEBUG environment variable

## pw_direction_reverse()

enum pw_direction pw_direction_reverse | ( | enum pw_direction | direction | ) |

Reverse the direction.

References PW_DIRECTION_INPUT, and PW_DIRECTION_OUTPUT.

## pw_fill_remote_properties()

SPA_EXPORT void pw_fill_remote_properties | ( | struct pw_core * | core,
|  | struct pw_properties * | properties
| ) |  |

Fill remote properties.

Parameters

  properties | a pw_properties

Fill properties with a set of default remote properties.

References PW_CORE_PROP_DAEMON, PW_CORE_PROP_NAME, PW_CORE_PROP_VERSION, pw_get_application_name(), pw_get_host_name(), pw_get_prgname(), pw_get_user_name(), pw_properties_get(), pw_properties_set(), and pw_properties_setf().

## pw_fill_stream_properties()

SPA_EXPORT void pw_fill_stream_properties | ( | struct pw_core * | core,
|  | struct pw_properties * | properties
| ) |  |

Fill stream properties.

Parameters

  properties | a pw_properties

Fill properties with a set of default stream properties.

## pw_get_application_name()

SPA_EXPORT const char * pw_get_application_name | ( | void |  | ) |

Get the application name.

## pw_get_client_name()

SPA_EXPORT char * pw_get_client_name | ( | void |  | ) |

Get the client name.

Make a new PipeWire client name that can be used to construct a remote.

References pw_get_application_name(), and pw_get_prgname().

## pw_get_host_name()

SPA_EXPORT const char * pw_get_host_name | ( | void |  | ) |

Get the host name.

## pw_get_prgname()

SPA_EXPORT const char * pw_get_prgname | ( | void |  | ) |

Get the program name.

## pw_get_user_name()

SPA_EXPORT const char * pw_get_user_name | ( | void |  | ) |

Get the user name.

## pw_init()

SPA_EXPORT void pw_init | ( | int * | argc,
|  | char ** | argv[]
| ) |  |

Initialize PipeWire.

Parameters

  argc | pointer to argc
  argv | pointer to argv

Initialize the PipeWire system, parse and modify any parameters given by argc and argv and set up debugging.

The environment variable PIPEWIRE_DEBUG

References interface::iface.

The documentation for this class was generated from the following files:

- pipewire.h
- pipewire.c